@echo off
@setlocal
pushd %~dp0

set exeName=slime.exe
set binDir=bin

mkdir build 2>nul
pushd build

taskkill /F /IM %exeName% > NUL 2> NUL

echo ---------- Compiling ----------
call timecmd clang++ -std=c++1z ../src/main.cpp -o %exeName% -D_DEBUG libucrtd.lib

if %errorlevel% == 0 (
   echo.
   echo Done
) else (
  echo.
  echo Fuckin' ell
)

popd
popd
